----- Plugin: Warnings -----

--- Shows a warning
-- @param		text	string	The text the warning should display.
-- @optional	icon	string	Texture path to the icon to be used.
-- @optional	color	table	Color to set on the text, if no color is supplied the default color set in the Warnings plugin settings will be used. (number indexed color table).
-- @optional	sound	string	Sound file to play along with showing the warning (LSM name).
-- @optional	flash	boolean	If true a screen flash will be shown together with the warning.
-- @usage RW.Callbacks:Fire("WarningShow", "RUN RUN!", [[Interface\ICONS\SomeTexture]], "Bell", true)
function WarningShow(event, text, icon, color, sound, flash)
end

---- End Plugin: Warnings -----
